/*
 * Copyright 2005-2007 WSO2, Inc. (http://wso2.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.wso2.solutions.identity.admin.ui.action;

import org.apache.struts2.StrutsStatics;
import org.wso2.solutions.identity.admin.TokenVerifierServiceAdmin;
import org.wso2.solutions.identity.admin.ui.UIConstants;

import javax.servlet.http.HttpServletRequest;

import com.opensymphony.xwork2.ActionContext;
import com.opensymphony.xwork2.ActionSupport;

public class EditRelyingPartyUserAction extends ActionSupport {

    private static final long serialVersionUID = 1L;

    private String oldPassword = null;

    private String newPassword = null;

    private String userName = null;

    public String execute() throws Exception {
        HttpServletRequest request = (HttpServletRequest) ActionContext
                .getContext().get(StrutsStatics.HTTP_REQUEST);
        userName = request.getParameter(UIConstants.TVS_RP_NAME);
        return INPUT;
    }

    public String getNewPassword() {
        return newPassword;
    }

    public String getOldPassword() {
        return oldPassword;
    }

    public void setNewPassword(String newPassword) {
        this.newPassword = newPassword;
    }

    public void setOldPassword(String oldPassword) {
        this.oldPassword = oldPassword;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String editRP() throws Exception {
        TokenVerifierServiceAdmin admin = new TokenVerifierServiceAdmin();
        if (admin.editRelyingPartyUserPassword(oldPassword, userName, newPassword) == true) {
            return SUCCESS;
        } else {
            return ERROR;
        }

    }
}
