<%@ taglib prefix="s" uri="/struts-tags" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" 
"http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<title>WSO2 Identity Solution | Management Console</title>
<link type="text/css" rel="stylesheet" href="css/styles.css" />
</head>
<body>


<div class="page">

	<!-- START Header  -->
	<s:include value="header.jsp" />
	<!-- END Header -->
	
	<!-- START Content  -->
	<table cellpadding="0" cellspacing="0" border="0" class="middle">
		<tr>
			<td class="left-menu" valign="top">
				<div class="menu-back">


					<!-- START menu -->
					<s:include value="menu.jsp" />
					<!-- END menu -->
					
					
				</div>
			</td>
			<td class="content" valign="top">
				<div class="breadcrumb"><a class="breadcrumb-link" href="ShowMain.action">Home</a>  | <a class="breadcrumb-link" href="ShowTokenVerifierService.action">Configure Token Verification Service</a> | Relying Party Users</div>
				<h1 class="headding-token">Token Verifier Service - Relying Party Users</h1>
				
				
				<h2>RelyingParty</h2>
				<table cellpadding="0" cellspacing="0" border="0" class="data-table">
					<tr><th>&nbsp;</th><th></th><th></th><th></th></tr>
					
					<s:iterator value="users">
						<tr>
							<td>
									<s:property value="name"/>
	        				</td>
							<td>
									<s:url action="RelyingPartyUserEdit.action" id="url">
	        							<s:param name="username" value="%{name}"/>
	        						</s:url>
	        						<a href="<s:property value="#url"/>">Edit</a>
	        				</td>
	        				<td>
	        						<s:url action="RelyingPartyUserDelete.action" id="url">
	            						<s:param name="username" value="%{name}"/>
	            					</s:url>
	        						<a href="<s:property value="#url"/>">Delete</a>
	        				</td>	
						</tr>
					</s:iterator>
								
				</table>

				<a href="RelyingPartyUserAdd.action" class="newitem-link"/>Add</a>	
			</td>
		</tr>
	</table>
	<!-- END Content -->
</div>	

<!-- Include footer -->
<s:include value="footer.jsp" />


  </body>
</html>