/*
 * Copyright 2005-2007 WSO2, Inc. (http://wso2.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.wso2.solutions.identity.persistence.dataobject;

import java.util.Set;

public class VerifierServiceIdpDO extends AbstractDataObject {

    private boolean isGlobal = false;

    private String hostName = null;

    private Set tokens = null;

    private Set relyingParties = null;

    public boolean getIsGlobal() {
        return isGlobal;
    }

    public Set getRelyingParties() {
        return relyingParties;
    }

    public Set getTokens() {
        return tokens;
    }

    public void setGlobal(boolean isGlobal) {
        this.isGlobal = isGlobal;
    }

    public void setIsGlobal(boolean isGlobal) {
        this.isGlobal = isGlobal;
    }

    public void setRelyingParties(Set relyingParties) {
        this.relyingParties = relyingParties;
    }

    public void setTokens(Set tokens) {
        this.tokens = tokens;
    }

    public String getHostName() {
        return hostName;
    }

    public void setHostName(String hostName) {
        this.hostName = hostName;
    }

}
