<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib prefix="s" uri="/struts-tags" %>
<s:if test="claim == null || claim.id==null">
	<s:set name="title" value="%{'Add new claim'}"/>
</s:if>
<s:else>
	<s:set name="title" value="%{'Update claim'}"/>
</s:else>

<html>
<head>
    <link href="<s:url value='/css/main.css'/>" rel="stylesheet" type="text/css"/>
    <style>td { white-space:nowrap; }</style>
    <title><s:property value="#title"/></title>
</head>
<body>
<h2><div class="titleDiv"><s:text name="application.title"/></div></h2>
<h3><s:property value="#title"/></h3>
<s:actionerror />
<s:actionmessage />
<s:form action="crudClaims!save.action" method="post">
    <s:textfield name="claim.URI" value="%{claim.URI}" label="%{getText('label.claimURI')}" size="40"/>
    <s:textfield name="claim.displayTag" value="%{claim.displayTag}" label="%{getText('label.displayTag')}" size="40"/>
    <s:textfield name="claim.description" value="%{claim.description}" label="%{getText('label.description')}" size="40"/>
    <s:select name="claim.simple" list="%{#{'true':'true', 'false':'false'}}" label="%{getText('label.simple')}" size="20"   />
    <s:select name="claim.userEditable" list="%{#{'true':'true', 'false':'false'}}" label="%{getText('label.userEditable')}" size="20" />
    <s:hidden name="claim.id" value="%{claim.id}"/>
    <s:hidden name="claim.lastUpdatedTime" value="%{claim.lastUpdatedTime}"/>
    <s:submit value="%{getText('button.label.submit')}"/>
    <s:submit value="%{getText('button.label.cancel')}" name="redirect-action:index"/>
</s:form>
</body>
</html>
