/*
 * Copyright 2005-2007 WSO2, Inc. (http://wso2.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.wso2.solutions.identity.cards;

import org.wso2.wsas.ServerConstants;

import junit.framework.TestCase;

public class CardIssuerConfigTest extends TestCase {

    public CardIssuerConfigTest(String name) {
        super(name);
    }

    public void testLoadConfig() throws Exception {
        System.setProperty(ServerConstants.WSO2WSAS_HOME, ".");
        CardIssuerConfig config = CardIssuerConfig.getInstance();
        assertEquals("Card name mismatch", "WSO2 Managed Card", config.getCardName());
        assertEquals("Issuer mismatch", "https://localhost", config
                .getIssuer());

    }

}
