#ifndef _PROCESS_REQUEST_H_
#define _PROCESS_REQUEST_H_

/*TVS - Token Verifier Service*/

/*TODO: find objects that needs to be created per request and make them
 *      local to fns*/
typedef struct {
    const axutil_env_t *env;
    axutil_allocator_t *allocator;
    axiom_document_t *doc;
    axiom_xml_reader_t *reader;
    axiom_stax_builder_t *builder;
    axiom_node_t *node;
    char *key_file;

    axis2_svc_client_t *svc_client;
    axis2_options_t *options;
    axis2_endpoint_ref_t *tvs;
    void *pool;
} process_ctx_t;


typedef void (*hash_set_cb_t)(char *, char *, void*, void*);

process_ctx_t* cspace_process_ctx_create(void *pool);

int cspace_process_request(process_ctx_t *ctx, char *req, char *key_file,
                                   char *tvs, void *ret_hash, hash_set_cb_t cb);

#endif
