#ifndef __CSPACE_SESSION_H__
#define __CSPACE_SESSION_H__

#include "mod_cspace.h"

int gen_session(int idlen, void *session_ctx, char **session_id);

void *session_ctx_create(apr_pool_t *p, const char *sdbm_file, 
                         long int expire);

int handle_session(const char *id, int idlen, void *ctx);

void set_session_expire_time(void *sesson, long int expire);

#define DEF_SESS_EXPIRE_TIME 60

#endif
