/*
 * Copyright 2005-2007 WSO2, Inc. (http://wso2.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.wso2.solutions.identity.user.ui;

/**
 * User interface related constants of the identity provider user web app.
 */
public class UIConstants {

    public final static String USER = "user";

    public final static String PPID = "ppid";

    public final static String LOGIN_ACTION = "Login.action";

    public final static String INFOCARD_SUBMIT_ACTION = "InfoCardSubmit.action";

    public final static String LOGIN_JSP = "/jsp/login.jsp";

    public final static String JSP_ERROR_PAGE = "/jsp/error.jsp";

    public final static String CARD_ISSUER_CONFIG_PATH = "WEB-INF/infocard-issuer-config.xml";

}
